Create group membership
Adds a member of the organization, one of its service accounts, or another of its groups, to a group.
POST
Adds a member of the organization, one of its service accounts, or another of its groups, to a group.
bearerheader
AuthorizationBearer <token>An access token, or an API key.
organization*stringThe organization's ID.
Match
^org_[0-7][0-9a-hjkmnp-tv-z]{25}$group*stringThe group's ID.
Match
^grp_[0-7][0-9a-hjkmnp-tv-z]{25}$application/json- body
member*stringThe member: user:{email} or user:{user_id} for a member of the organization, serviceAccount:{service_account_id}, or group:{group_id} for another of its groups.
Length
1 <= lengthCreated
application/json- response
createTime*stringWhen the member joined the group.
Format
date-timemember*stringThe member: user:{user_id}, serviceAccount:{service_account_id} or group:{group_id}.
name*stringResource name, organizations/{organization_id}/groups/{group_id}/memberships/{member_id}, where the member's ID is a user's, a service account's or a group's.
curl -X POST 'https://api.kosem.ai/v1/organizations/string/groups/string/memberships' \
-H 'Content-Type: application/json' \
-d '{
"member": "string"
}'Example Response
{
"createTime": "2019-08-24T14:15:22Z",
"member": "string",
"name": "string"
}